%global modulename cli-table2

%global npmlib_dir %{npmlib_sitelib}
%global nodejs_dir %{nodejs_sitelib}

%define __requires_exclude_from ^%{npmlib_dir}/%{modulename}/%{version}/tests?/.*

Name:           npmlib-cli-table2
Version:        0.2.0
Release:        2%{?dist}
Summary:        Pretty unicode tables for the command line. Based on the original cli-table.

License:        MIT
URL:            https://github.com/jamestalmage/cli-table2
Source0:        https://registry.npmjs.org/cli-table2/-/cli-table2-0.2.0.tgz



BuildRequires:  npmlib-packaging

BuildArch:      noarch
ExclusiveArch:  %{nodejs_arches} noarch

BuildRequires:  ((npmlib(lodash) >= 3.10.1 with npmlib(lodash) < 4.0.0))
BuildRequires:  ((npmlib(string-width) >= 1.0.1 with npmlib(string-width) < 2.0.0))

Requires:       npmlib(%{modulename}) = %{version}

%description
Pretty unicode tables for the command line. Based on the original cli-table.

%package 0.2.0
Summary:        Pretty unicode tables for the command line. Based on the original cli-table.


%description 0.2.0
Pretty unicode tables for the command line. Based on the original cli-table.

%prep
%autosetup -p0 -n package

%build
# Nothing to build

%install
mkdir -p %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr .npmignore %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr .travis.yml %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr examples %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr gulpfile.js %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr index.js %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr lib %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr package.json %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr src %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr test %{buildroot}%{npmlib_dir}/%{modulename}/%{version}



mkdir -p %{buildroot}%{nodejs_dir}
ln -s %{npmlib_dir}/%{modulename}/%{version} %{buildroot}/%{nodejs_dir}/%{modulename}

%{npmlib_symlink_deps}

%check
%{npmlib_symlink_deps} .
%{__nodejs} -e 'require("./")'

%files
%doc README.md
%doc advanced-usage.md
%doc basic-usage.md
%{nodejs_dir}/%{modulename}

%files 0.2.0
%doc README.md
%doc advanced-usage.md
%doc basic-usage.md
%{npmlib_dir}/%{modulename}/%{version}
%dir %{npmlib_dir}/%{modulename}/

%changelog
* Thu Dec 6 2018 npm2srpm <dshea@redhat.com> - 0.2.0-2
- Package automatically generated by npm2srpm
